Cancel Transaction
curl --request POST \
--url https://api.blockradar.co/v1/wallets/{walletId}/transactions/cancel \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"id": "960661a2-0337-4609-b870-348d67fae934"
}
'import requests
url = "https://api.blockradar.co/v1/wallets/{walletId}/transactions/cancel"
payload = { "id": "960661a2-0337-4609-b870-348d67fae934" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({id: '960661a2-0337-4609-b870-348d67fae934'})
};
fetch('https://api.blockradar.co/v1/wallets/{walletId}/transactions/cancel', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"address": null,
"amlScreening": {},
"amount": "0.1",
"amountPaid": "0.1",
"amountUSD": "0.1",
"asset": {
"address": "0x55d398326f99059fF775485246999027B3197955",
"createdAt": "2024-05-14T16:53:33.671Z",
"currency": "USD",
"decimals": 18,
"id": "e572fb27-3e52-4dd0-8452-f9a681be03f3",
"isActive": true,
"isNative": false,
"name": "Tether USD",
"network": "mainnet",
"standard": "BEP20",
"symbol": "USDT",
"updatedAt": "2025-04-17T03:50:19.952Z"
},
"assetSwept": null,
"assetSweptAmount": null,
"assetSweptAt": null,
"assetSweptGasFee": null,
"assetSweptHash": null,
"assetSweptRecipientAddress": null,
"assetSweptSenderAddress": null,
"blockHash": null,
"blockNumber": null,
"blockchain": {
"createdAt": "2024-05-14T16:53:33.106Z",
"derivationPath": "m/44'/60'/0'/0",
"id": "b80d3d5e-16f1-4d99-be5e-6dfcd27f89aa",
"isActive": true,
"isEvmCompatible": true,
"isL2": false,
"name": "BNB smart chain",
"slug": "bnb-smart-chain",
"symbol": "bnb",
"tokenStandard": "BEP20",
"updatedAt": "2024-11-26T19:04:13.941Z"
},
"chainId": null,
"confirmations": null,
"confirmed": false,
"createdAt": "2025-09-23T15:14:30.894Z",
"createdChannel": "dashboard",
"currency": "USD",
"fee": "0.00003",
"feeHash": "0xf41d394f91dfb1c07890bac1cf5d408f6c0edb526ed371b481ab46caf0acb1d2",
"gasFee": null,
"gasPrice": null,
"gasUsed": null,
"hash": null,
"id": "5f65c56e-58d9-4b26-a2fd-98b5b9cbd26b",
"metadata": null,
"network": "mainnet",
"note": " Withdrawal of 0.1 USDT from 0xD2b6be31932E0294F2ebD14a008C3f1E05B47BC4 to 0xb55c054D8eE75224E1033e6eC775B4F62D942b43 on BNB smart chain",
"rate": null,
"rateUSD": "1",
"reason": "Withdrawal of 0.1 from 0xD2b6be31932E0294F2ebD14a008C3f1E05B47BC4 USDT to 0xb55c054D8eE75224E1033e6eC775B4F62D942b43 on BNB smart chain",
"recipientAddress": "0xb55c054D8eE75224E1033e6eC775B4F62D942b43",
"reference": "OjAhIPve6kAX3CQwPVkg",
"senderAddress": "0xD2b6be31932E0294F2ebD14a008C3f1E05B47BC4",
"signedTransaction": null,
"status": "CANCELLED",
"toAmount": null,
"toCurrency": null,
"tokenAddress": "0x55d398326f99059fF775485246999027B3197955",
"type": "WITHDRAW",
"updatedAt": "2025-09-23T15:28:02.993Z"
},
"message": "Transaction cancelled",
"statusCode": 200
}Cancel Transaction
Cancel Transaction
POST
/
v1
/
wallets
/
{walletId}
/
transactions
/
cancel
Cancel Transaction
Authorizations
Path Parameters
Example:
"{{walletId}}"
Body
application/json
Example:
"960661a2-0337-4609-b870-348d67fae934"
⌘I

